
Summary:	A Python interface to libpcap
Summary(pl.UTF-8):	Interfejs Pythona do libpcap
Name:		python-pylibpcap
Version:	0.4
Release:	7
License:	BSD
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pylibpcap/pylibpcap-%{version}.tar.gz
# Source0-md5:	38c9a47db4113594b57aa0944b1ebdcf
Patch0:		%{name}-swig_sources.patch
URL:		http://pylibpcap.sourceforge.net/
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	libpcap-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module for the libpcap packet capture library, based on the
original Python libpcap module by Aaron Rhodes.

%description -l pl.UTF-8
Moduł Pythona do przechwytywania pakietów za pomocą biblioteki
libpcap.

%prep
%setup -q -n pylibpcap-%{version}
%patch0 -p1

%build
env CFLAGS="%{rpmcflags}" %{_bindir}/python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python -- setup.py install --root=$RPM_BUILD_ROOT --optimize=2


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pylibpcap.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 4461435
- x32 rebuild
- release 7 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> b27a7a1
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dce064
- release 6

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> b511d51
- release 5

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d0d7370
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b5c2086
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3cb89dd
- converted to UTF-8

* Sun Jun 26 2005 saq <saq@pld-linux.org> 13610c9
- swig is not used if built this way

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 9920334
- mass commit: remove obsolete BR: rpm-pythonprov

* Mon Dec 27 2004 saq <saq@pld-linux.org> 582762e
- swig_sources.patch for modern method signature
- release 3

* Mon Dec 27 2004 saq <saq@pld-linux.org> 16a6686
- support modern swig_sources method signature

* Sat Dec 25 2004 saq <saq@pld-linux.org> 638483d
- release 2 for rebuild with python 2.4

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 4c0c999
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> d3b7253
- capitalization, tabs, other cosmetics

* Wed Sep 03 2003 Adam Gołębiowski <adamg@pld-linux.org> 471bc4e
- updated to 0.4

* Thu Aug 28 2003 ankry <ankry@pld-linux.org> c192067
- s/An/A/

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 332b669
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 5905056
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Mar 10 2003 Jakub Bogusz <qboosh@pld-linux.org> f76be09
- working Source URL

* Fri Nov 29 2002 ankry <ankry@pld-linux.org> 93bb72f
- massive attack: new %%doc

